g = 7

G = "Spin(10)"
dimG = 45

V = "half-spin"
dimV = 16

synthetic = False
# set this boolean to True or False
# to decide if you want synthetic output or complete output



########################################
# unipotent case

# load toolkit from stab_nilp.py
from stab_nilp import *

# list of non-trivial orbits (i.e., without that of 0)
# format [blocks,dim]

orbites_0=[
[[5,11],40],
[[2,6,8],38],
[[1,3,5,7],36],
[[1]*2+[7]*2,36],
[[3]*2+[5]*2,34],
[[3]+[4]*2+[5],32],
[[1]*3+[4]*2+[5],32],
[[2]*4+[4]*2,30],
[[4]*4,28],
[[1]*2+[2]*2+[3]*2+[4],28],
[[1]*4+[3]*4,26],
[[1]*2+[2]*4+[3]*2,24],
[[1]*5+[2]*4+[3],20],
[[2]*8,16],
[[1]*8+[2]*4,14]
]

nilp_complete (g, G, dimG, V, dimV, orbites_0, synthetic)



########################################
# semi-simple case

# load toolkit from stab_smspl.py
from stab_smspl import *

print("\n"+60*"*")
print("preliminary combinatorial material")
print("(for genus 7, semisimple case)\n")

print("list of all partitions of 16 with chunks of size <=4")
l = liste_partitions(16,4)
for x in l:
    print(x)

print("\nselecting maximal elements among them")
l_max = nettoie(l)

print("\nfor subregular case")
print("removal of those partitions containing either [4^3] or [4^2,3^2]")
l_subreg = l.copy()
m = liste_partitions(4,4)
for i in range(len(m)):
    m[i] = 3*[4]+m[i]
n = liste_partitions(2,4)
for i in range(len(n)):
    n[i] = [4,4,3,3]+n[i]
for x in m+n:
    l_subreg.remove(x)
    print(x,"removed")
print("\nselecting maximal elements among remaining partitions")
l_subreg_max = nettoie(l_subreg)

print("\nfor case t2=t3 and t4=t5")
print("removal of partition [4^4]")
l_t2t3andt4t5 = l.copy()
l_t2t3andt4t5.remove(4*[4])
print("\nselecting maximal elements among remaining partitions")
l_t2t3andt4t5_max = nettoie(l_t2t3andt4t5)

# traduction en strate
subregular = l_subreg_max
for i in range(len(subregular)):
    subregular[i] = [38,subregular[i], "subregular"]

t3t4t5 = l_max
for i in range(len(t3t4t5)):
    t3t4t5[i] = [34,t3t4t5[i], "t3=t4=t5"]

t2t3andt4t5 = l_t2t3andt4t5_max
for i in range(len(t2t3andt4t5)):
    t2t3andt4t5[i] = [34,t2t3andt4t5[i], "t2=t3 and t4=t5"]

print("\nnow we're ready to go")

strates = [
    [40, 7*[2]+[1,1], "regular"]
] + subregular + t3t4t5 + t2t3andt4t5 + [
    [32, [6,4,3,3], "t1=t2 and t3=t4=t5"],
    [30, [6,6,4], "t1=t2 and t3=t4=t5"],
    [24, [8,8], "t1=t2 and t3=t4=t5"],
    [26, [8,4,4], "t1=t2 and t3=t4=t5"],
    [28, [6,5,5], "t2=t3=t4=t5"],
    [16, [8,8], "t2=t3=t4=t5"],
    [20, [10,6], "t1=t2=t3=t4=t5"]
]

smspl_complete (g, G, dimG, V, dimV, strates, synthetic)
