g = 8

G = "SL(6)"
dimG = 35

V = "\wedge^2 C^6"
dimV = 15

synthetic = False
# set this boolean to True or False
# to decide if you want synthetic output or complete output


########################################
# unipotent case

# load toolkit from stab_nilp.py
from stab_nilp import *

# list of non-trivial orbits (i.e., without that of 0)
# format [blocks,dim]

orbites_0 = [
[ [9]+[5]+[1]         ,        30 ],
[ [7]+[5]+[3]         ,        28 ],
[ [5]*2+[3]+[1]*2     ,        26 ],
[ [5]+[4]*2+[1]*2     ,        24 ],
[ [5]+[3]*3+[1]       ,        24 ],
[ [4]+[3]*2+[2]*2+[1] ,        22 ],
[ [3]*4+[1]*3         ,        18 ],
[ [3]*3+[1]*6         ,        18 ],
[ [3]+[2]*4+[1]*4     ,        16 ],
[ [2]*4+[1]*7         ,        10 ],
]

nilp_complete (g, G, dimG, V, dimV, orbites_0, synthetic)



########################################
# semi-simple case

# load toolkit from stab_smspl.py
from stab_smspl import *


print("\n"+60*"*")
print("preliminary combinatorial material")
print("(for genus", g, ", semisimple case)\n")

print("list of all partitions of 15 with chunks of size <=3")
l = liste_partitions(dimV,3)
for x in l:
    print(x)

print("\nselecting maximal elements among them")
l_max = nettoie(l)

# passage au format strate
regular = l_max
for i in range(len(regular)):
    regular[i] = [30,regular[i], "regular"]

print("\nnow we're ready to go")



strates = regular + [
    [26, [4,4,4,3], "subregular B: [2,2,1,1]"],
    [26, [5,4,3,3], "subregular B: [2,2,1,1]"],
    [24, [5,4,4,2], "subregular C: [2^3]"],
    [24, [5,5,5], "subregular C: [2^3]"],
    [22, [6,4,3,2], "penultimate B: [3,2,1]"],
    [22, [6,5,4], "penultimate B: [3,2,1]"],
    [18, [7,4,4], "penultimate C: [4,1,1]"],
    [10, [10, 5], "remaining A"],
    [16, [8,7], "remaining B"],
    [18, [9,3,3], "remaining C"],
    [18, [9,6], "remaining C"]
]

smspl_complete (g, G, dimG, V, dimV, strates, synthetic)
